Package com.xebialabs.xlrelease.domain

## Class TaskWithPropertiesDefinition

- java.lang.Object
- - com.xebialabs.xlrelease.domain.TaskDefinition
  - - com.xebialabs.xlrelease.domain.TaskWithPropertiesDefinition

- Direct Known Subclasses:
    `ContainerTaskDefinition`, `PythonScriptDefinition`

      public class TaskWithPropertiesDefinition
      extends TaskDefinition

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.TaskDefinition

      `allowed, displayGroup, displayName, supportedInWorkflow, typeName, XEBIALABS_GROUP, XLRELEASE_GROUP, XLRELEASE_GROUP_REPLACEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskWithPropertiesDefinition​(Type type)` |
    `TaskWithPropertiesDefinition​(Type type, boolean allowed)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<PropertyDescriptor>` | `getInputProperties()` |
    `java.util.Collection<PropertyDescriptor>` | `getOutputProperties()` |
    `java.util.Collection<PropertyDescriptor>` | `getTransitionalAndOutputProperties()` |
    `static java.util.function.Predicate<PropertyDescriptor>` | `ofKind​(PropertyKind... propertyKinds)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.TaskDefinition

      `getDisplayGroup, getDisplayGroup, getDisplayName, getDisplayName, getPrefix, getSupportedInWorkflow, getTypeName, isAllowed, isCore, isSupportedInWorkflow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskWithPropertiesDefinition

          public TaskWithPropertiesDefinition​(Type type,
                                              boolean allowed)

    - #### TaskWithPropertiesDefinition

          public TaskWithPropertiesDefinition​(Type type)

  - ### Method Detail

    - #### getInputProperties

          public java.util.Collection<PropertyDescriptor> getInputProperties()

    - #### getOutputProperties

          public java.util.Collection<PropertyDescriptor> getOutputProperties()

    - #### getTransitionalAndOutputProperties

          public java.util.Collection<PropertyDescriptor> getTransitionalAndOutputProperties()

    - #### ofKind

          public static java.util.function.Predicate<PropertyDescriptor> ofKind​(PropertyKind... propertyKinds)